Skip to content

Device Data Download

GET /user/device/data/{eui}

This route retrieves an overview of all data associated with a specific device identified by its EUI. The response includes timestamps, sensor readings (temperature, humidity, battery), and optional geolocation information.

  • Example response:
{
  "errors": [],
  "debug": [],
  "data": [
    {
      "ts_unix": 1650058921,
      "time_stamp": "2022-04-15T23:42:01+02:00",
      "humidity": null,
      "temperature": null,
      "battery": null,
      "uid": 1849435
    },
    {
      "ts_unix": 1650058921,
      "time_stamp": "2022-04-15T23:42:01+02:00",
      "humidity": null,
      "temperature": null,
      "battery": null,
      "uid": 1849435
    },
    {
      "ts_unix": 1651442490,
      "time_stamp": "2022-05-02T00:01:30+02:00",
      "humidity": null,
      "temperature": null,
      "battery": null,
      "uid": 2007077,
      "geoloc_LAT": 52.10214,
      "geoloc_LON": 5.12111,
      "geoloc_ALT": 0
    },
    {
      "ts_unix": 1651442490,
      "time_stamp": "2022-05-02T00:01:30+02:00",
      "humidity": null,
      "temperature": null,
      "battery": null,
      "uid": 2007081
    },
    {
      "ts_unix": 1651442490,
      "time_stamp": "2022-05-02T00:01:30+02:00",
      "humidity": null,
      "temperature": null,
      "battery": null,
      "uid": 2007081,
      "geoloc_LAT": 52.10214,
      "geoloc_LON": 5.12111,
      "geoloc_ALT": 0
    }
       ],
  "success": true
}

The same route also allows retrieving stored measurement data, such as GPS locations and accelerometer data. Note that a filter parameter can be provided to reduce the returned body size.

GET /user/device/data/{eui}?filter=LON,LAT,ALT

  • Example response
{
  "errors": [  ],
  "messages": [  ],
  "debug": [  ],
  "meta": {
    "data_types": [
      30,
      40,
      60,
      61,
      62,
      65,
      63
    ],
    "cache_file_version": 2
  },
  "data": [
    {
      "uid": 2785182,
      "ts_unix": 1656598222,
      "ts_net_unix": 1656655166,
      "LAT": 47.34315,
      "LON": 7.91267,
      "ALT": 434
    },
    {
      "uid": 2785209,
      "ts_unix": 1656598222,
      "ts_net_unix": 1656655205,
      "LAT": 47.34315,
      "LON": 7.91267,
      "ALT": 434
    },
    {
      "uid": 2795665,
      "ts_unix": 1656674207,
      "ts_net_unix": 1656674211,
      "LAT": 47.34339,
      "LON": 7.91255,
      "ALT": 426.5
    },
    {
      "uid": 2796258,
      "ts_unix": 1656675439,
      "ts_net_unix": 1656675443,
      "LAT": 47.34343,
      "LON": 7.91276,
      "ALT": 412.8
    },
    {
      "uid": 2796849,
      "ts_unix": 1656676609,
      "ts_net_unix": 1656676613,
      "LAT": 47.34345,
      "LON": 7.91283,
      "ALT": 412
    },
    {
      "uid": 2797422,
      "ts_unix": 1656677823,
      "ts_net_unix": 1656677827,
      "LAT": 47.34313,
      "LON": 7.91234,
      "ALT": 466.6
    },
    {
      "uid": 2798027,
      "ts_unix": 1656679029,
      "ts_net_unix": 1656679033,
      "LAT": 47.34239,
      "LON": 7.91158,
      "ALT": 563.4
    },
    {
      "uid": 2819993,
      "ts_unix": 1656723963,
      "ts_net_unix": 1656723967,
      "LAT": 47.34331,
      "LON": 7.91262,
      "ALT": 424.6
    },
    {
      "uid": 2820569,
      "ts_unix": 1656725187,
      "ts_net_unix": 1656725191,
      "LAT": 47.34334,
      "LON": 7.91253,
      "ALT": 434.6
    },
    {
      "uid": 2821140,
      "ts_unix": 1656725187,
      "ts_net_unix": 1656726385,
      "LAT": 47.34334,
      "LON": 7.91253,
      "ALT": 434.6
    },
    {
      "uid": 2821705,
      "ts_unix": 1656727591,
      "ts_net_unix": 1656727595,
      "LAT": 47.34322,
      "LON": 7.913,
      "ALT": 410.7
    },
    {
      "uid": 2822249,
      "ts_unix": 1656728761,
      "ts_net_unix": 1656728766,
      "LAT": 47.34336,
      "LON": 7.91224,
      "ALT": 494.4
    },
    {
      "uid": 2822827,
      "ts_unix": 1656729971,
      "ts_net_unix": 1656729975,
      "LAT": 47.34358,
      "LON": 7.91163,
      "ALT": 509.9
    },
    {
      "uid": 2823404,
      "ts_unix": 1656731191,
      "ts_net_unix": 1656731195,
      "LAT": 47.34329,
      "LON": 7.91279,
      "ALT": 428.8
    },
    {
      "uid": 2823947,
      "ts_unix": 1656732366,
      "ts_net_unix": 1656732370,
      "LAT": 47.3431,
      "LON": 7.91208,
      "ALT": 383.4
    },
    {
      "uid": 8045310,
      "ts_unix": 1673473377,
      "ts_net_unix": 1673473381,
      "LAT": 41.82951,
      "LON": 0.27582,
      "ALT": 306.7
    },
    {
      "uid": 8052268,
      "ts_unix": 1673487751,
      "ts_net_unix": 1673487755,
      "LAT": 41.82954,
      "LON": 0.27579,
      "ALT": 298.3
    },
    {
      "uid": 8056160,
      "ts_unix": 1673487751,
      "ts_net_unix": 1673494948,
      "LAT": 41.82954,
      "LON": 0.27579,
      "ALT": 298.3
    },
    {
      "uid": 8056184,
      "ts_unix": 1673487751,
      "ts_net_unix"
    }
  ]
}